Initialize a new `Suite` with the given `title` and `ctx`.

see

  https://mochajs.org/api/Mocha.Suite.html

### Hierarchy

- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
- EventEmitter
  - Suite

## Index

### Constructors

- constructor

### Properties

- _afterAll
- _afterEach
- _bail
- _beforeAll
- _beforeEach
- _enableTimeouts
- _onlySuites
- _onlyTests
- _retries
- _slow
- _timeout
- ctx
- delayed
- file
- parent
- pending
- root
- suites
- tests
- title

### Methods

- _createHook
- addListener
- addSuite
- addTest
- afterAll
- afterEach
- bail
- beforeAll
- beforeEach
- clone
- eachTest
- emit
- enableTimeouts
- eventNames
- fullTitle
- getMaxListeners
- isPending
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- retries
- run
- setMaxListeners
- slow
- timeout
- titlePath
- total
- create

## Constructors

### constructor

- new Suite(title: string, parentContext?: Context): Suite
- new Suite(title: string, parentContext?: IContext): Suite

- - Defined in node_modules/@types/mocha/index.d.ts:1702

  #### Parameters

  - ##### title: string

  - ##### Optional parentContext: Context

  #### Returns Suite

- - Defined in node_modules/@types/mocha/index.d.ts:1704
  deprecated

    Use the overload that accepts `Mocha.Context` instead.

  #### Parameters

  - ##### title: string

  - ##### Optional parentContext: IContext

  #### Returns Suite

## Properties

### Private _afterAll

_afterAll: any

- Defined in node_modules/@types/mocha/index.d.ts:1695

### Private _afterEach

_afterEach: any

- Defined in node_modules/@types/mocha/index.d.ts:1694

### Private _bail

_bail: any

- Defined in node_modules/@types/mocha/index.d.ts:1699

### Private _beforeAll

_beforeAll: any

- Defined in node_modules/@types/mocha/index.d.ts:1693

### Private _beforeEach

_beforeEach: any

- Defined in node_modules/@types/mocha/index.d.ts:1692

### Private _enableTimeouts

_enableTimeouts: any

- Defined in node_modules/@types/mocha/index.d.ts:1697

### Private _onlySuites

_onlySuites: any

- Defined in node_modules/@types/mocha/index.d.ts:1702

### Private _onlyTests

_onlyTests: any

- Defined in node_modules/@types/mocha/index.d.ts:1701

### Private _retries

_retries: any

- Defined in node_modules/@types/mocha/index.d.ts:1700

### Private _slow

_slow: any

- Defined in node_modules/@types/mocha/index.d.ts:1698

### Private _timeout

_timeout: any

- Defined in node_modules/@types/mocha/index.d.ts:1696

### ctx

ctx: Context

- Defined in node_modules/@types/mocha/index.d.ts:1708

### delayed

delayed: boolean

- Defined in node_modules/@types/mocha/index.d.ts:1714

### Optional file

file: undefined | string

- Defined in node_modules/@types/mocha/index.d.ts:1712

### parent

parent: Suite | undefined

- Defined in node_modules/@types/mocha/index.d.ts:1715

### pending

pending: boolean

- Defined in node_modules/@types/mocha/index.d.ts:1711

### root

root: boolean

- Defined in node_modules/@types/mocha/index.d.ts:1713

### suites

suites: Suite[]

- Defined in node_modules/@types/mocha/index.d.ts:1709

### tests

tests: Test[]

- Defined in node_modules/@types/mocha/index.d.ts:1710

### title

title: string

- Defined in node_modules/@types/mocha/index.d.ts:1716

## Methods

### Protected _createHook

- _createHook(title: string, fn?: Func | AsyncFunc): Hook

- - Defined in node_modules/@types/mocha/index.d.ts:1984

  Generic hook-creator.

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func | AsyncFunc

  #### Returns Hook

### addListener

- addListener(event: "beforeAll", listener: function): this
- addListener(event: "afterAll", listener: function): this
- addListener(event: "beforeEach", listener: function): this
- addListener(event: "afterEach", listener: function): this
- addListener(event: "suite", listener: function): this
- addListener(event: "test", listener: function): this
- addListener(event: "run", listener: function): this
- addListener(event: "pre-require", listener: function): this
- addListener(event: "require", listener: function): this
- addListener(event: "post-require", listener: function): this
- addListener(event: string, listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/mocha/index.d.ts:1991

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2002

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2013

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2024

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2035

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2046

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2057

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2068

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2079

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2090

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2101

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### addSuite

- addSuite(suite: Suite): this
- addSuite(suite: ISuite): this

- - Defined in node_modules/@types/mocha/index.d.ts:1930

  Add a test `suite`.

  see

    https://mochajs.org/api/Mocha.Suite.html#addSuite

  #### Parameters

  - ##### suite: Suite

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1932
  deprecated

    Use the overload that accepts `Mocha.ISuite` instead.

  #### Parameters

  - ##### suite: ISuite

  #### Returns this

### addTest

- addTest(test: Test): this
- addTest(test: ITest): this

- - Defined in node_modules/@types/mocha/index.d.ts:1939

  Add a `test` to this suite.

  see

    https://mochajs.org/api/Mocha.Suite.html#addTest

  #### Parameters

  - ##### test: Test

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1941
  deprecated

    Use the overload that accepts `Mocha.ITest` instead.

  #### Parameters

  - ##### test: ITest

  #### Returns this

### afterAll

- afterAll(fn?: Func): this
- afterAll(fn?: AsyncFunc): this
- afterAll(title: string, fn?: Func): this
- afterAll(title: string, fn?: AsyncFunc): this

- - Defined in node_modules/@types/mocha/index.d.ts:1846

  Run `fn(test[, done])` after running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterAll

  #### Parameters

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1853

  Run `fn(test[, done])` after running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterAll

  #### Parameters

  - ##### Optional fn: AsyncFunc

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1860

  Run `fn(test[, done])` after running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterAll

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1867

  Run `fn(test[, done])` after running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterAll

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns this

### afterEach

- afterEach(fn?: Func): this
- afterEach(fn?: AsyncFunc): this
- afterEach(title: string, fn?: Func): this
- afterEach(title: string, fn?: AsyncFunc): this

- - Defined in node_modules/@types/mocha/index.d.ts:1902

  Run `fn(test[, done])` after each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterEach

  #### Parameters

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1909

  Run `fn(test[, done])` after each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterEach

  #### Parameters

  - ##### Optional fn: AsyncFunc

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1916

  Run `fn(test[, done])` after each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterEach

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1923

  Run `fn(test[, done])` after each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#afterEach

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns this

### bail

- bail(): boolean
- bail(bail: boolean): this

- - Defined in node_modules/@types/mocha/index.d.ts:1797

  Get whether to bail after first error.

  see

    https://mochajs.org/api/Mocha.Suite.html#bail

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:1804

  Set whether to bail after first error.

  see

    https://mochajs.org/api/Mocha.Suite.html#bail

  #### Parameters

  - ##### bail: boolean

  #### Returns this

### beforeAll

- beforeAll(fn?: Func): this
- beforeAll(fn?: AsyncFunc): this
- beforeAll(title: string, fn?: Func): this
- beforeAll(title: string, fn?: AsyncFunc): this

- - Defined in node_modules/@types/mocha/index.d.ts:1818

  Run `fn(test[, done])` before running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeAll

  #### Parameters

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1825

  Run `fn(test[, done])` before running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeAll

  #### Parameters

  - ##### Optional fn: AsyncFunc

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1832

  Run `fn(test[, done])` before running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeAll

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1839

  Run `fn(test[, done])` before running tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeAll

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns this

### beforeEach

- beforeEach(fn?: Func): this
- beforeEach(fn?: AsyncFunc): this
- beforeEach(title: string, fn?: Func): this
- beforeEach(title: string, fn?: AsyncFunc): this

- - Defined in node_modules/@types/mocha/index.d.ts:1874

  Run `fn(test[, done])` before each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeEach

  #### Parameters

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1881

  Run `fn(test[, done])` before each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeEach

  #### Parameters

  - ##### Optional fn: AsyncFunc

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1888

  Run `fn(test[, done])` before each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeEach

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1895

  Run `fn(test[, done])` before each test case.

  see

    https://mochajs.org/api/Mocha.Suite.html#beforeEach

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns this

### clone

- clone(): Suite

- - Defined in node_modules/@types/mocha/index.d.ts:1734

  Return a clone of this `Suite`.

  see

    https://mochajs.org/api/Mocha.Suite.html#clone

  #### Returns Suite

### eachTest

- eachTest(fn: function): this

- - Defined in node_modules/@types/mocha/index.d.ts:1972

  Iterates through each suite recursively to find all tests. Applies a function in the format `fn(test)`.

  see

    https://mochajs.org/api/Mocha.Suite.html#eachTest

  #### Parameters

  - ##### fn: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

### emit

- emit(name: "beforeAll", hook: Hook): boolean
- emit(name: "afterAll", hook: Hook): boolean
- emit(name: "beforeEach", hook: Hook): boolean
- emit(name: "afterEach", hook: Hook): boolean
- emit(name: "suite", suite: Suite): boolean
- emit(name: "test", test: Test): boolean
- emit(name: "run"): boolean
- emit(name: "pre-require", context: MochaGlobals, file: string, mocha: Mocha): boolean
- emit(name: "require", module: any, file: string, mocha: Mocha): boolean
- emit(name: "post-require", context: MochaGlobals, file: string, mocha: Mocha): boolean
- emit(name: string, ...args: any[]): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/mocha/index.d.ts:1995

  #### Parameters

  - ##### name: "beforeAll"

  - ##### hook: Hook

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2006

  #### Parameters

  - ##### name: "afterAll"

  - ##### hook: Hook

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2017

  #### Parameters

  - ##### name: "beforeEach"

  - ##### hook: Hook

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2028

  #### Parameters

  - ##### name: "afterEach"

  - ##### hook: Hook

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2039

  #### Parameters

  - ##### name: "suite"

  - ##### suite: Suite

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2050

  #### Parameters

  - ##### name: "test"

  - ##### test: Test

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2061

  #### Parameters

  - ##### name: "run"

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2072

  #### Parameters

  - ##### name: "pre-require"

  - ##### context: MochaGlobals

  - ##### file: string

  - ##### mocha: Mocha

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2083

  #### Parameters

  - ##### name: "require"

  - ##### module: any

  - ##### file: string

  - ##### mocha: Mocha

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2094

  #### Parameters

  - ##### name: "post-require"

  - ##### context: MochaGlobals

  - ##### file: string

  - ##### mocha: Mocha

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2105

  #### Parameters

  - ##### name: string

  - ##### Rest ...args: any[]

  #### Returns boolean

### enableTimeouts

- enableTimeouts(): boolean
- enableTimeouts(enabled: boolean): this

- - Defined in node_modules/@types/mocha/index.d.ts:1769

  Get whether timeouts are enabled.

  see

    https://mochajs.org/api/Mocha.Suite.html#enableTimeouts

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:1776

  Set whether timeouts are `enabled`.

  see

    https://mochajs.org/api/Mocha.Suite.html#enableTimeouts

  #### Parameters

  - ##### enabled: boolean

  #### Returns this

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### fullTitle

- fullTitle(): string

- - Defined in node_modules/@types/mocha/index.d.ts:1949

  Return the full title generated by recursively concatenating the parent's full title.

  see

    https://mochajs.org/api/Mocha.Suite.html#.Suite#fullTitle

  #### Returns string

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### isPending

- isPending(): boolean

- - Defined in node_modules/@types/mocha/index.d.ts:1811

  Check if this suite or its parent suite is marked as pending.

  see

    https://mochajs.org/api/Mocha.Suite.html#isPending

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "beforeAll", listener: function): this
- on(event: "afterAll", listener: function): this
- on(event: "beforeEach", listener: function): this
- on(event: "afterEach", listener: function): this
- on(event: "suite", listener: function): this
- on(event: "test", listener: function): this
- on(event: "run", listener: function): this
- on(event: "pre-require", listener: function): this
- on(event: "require", listener: function): this
- on(event: "post-require", listener: function): this
- on(event: string, listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/mocha/index.d.ts:1989

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2000

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2011

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2022

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2033

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2044

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2055

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2066

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2077

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2088

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2099

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: "beforeAll", listener: function): this
- once(event: "afterAll", listener: function): this
- once(event: "beforeEach", listener: function): this
- once(event: "afterEach", listener: function): this
- once(event: "suite", listener: function): this
- once(event: "test", listener: function): this
- once(event: "run", listener: function): this
- once(event: "pre-require", listener: function): this
- once(event: "require", listener: function): this
- once(event: "post-require", listener: function): this
- once(event: string, listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/mocha/index.d.ts:1990

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2001

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2012

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2023

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2034

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2045

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2056

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2067

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2078

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2089

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2100

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: "beforeAll", listener: function): this
- prependListener(event: "afterAll", listener: function): this
- prependListener(event: "beforeEach", listener: function): this
- prependListener(event: "afterEach", listener: function): this
- prependListener(event: "suite", listener: function): this
- prependListener(event: "test", listener: function): this
- prependListener(event: "run", listener: function): this
- prependListener(event: "pre-require", listener: function): this
- prependListener(event: "require", listener: function): this
- prependListener(event: "post-require", listener: function): this
- prependListener(event: string, listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/mocha/index.d.ts:1993

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2004

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2015

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2026

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2037

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2048

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2059

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2070

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2081

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2092

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2103

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "beforeAll", listener: function): this
- prependOnceListener(event: "afterAll", listener: function): this
- prependOnceListener(event: "beforeEach", listener: function): this
- prependOnceListener(event: "afterEach", listener: function): this
- prependOnceListener(event: "suite", listener: function): this
- prependOnceListener(event: "test", listener: function): this
- prependOnceListener(event: "run", listener: function): this
- prependOnceListener(event: "pre-require", listener: function): this
- prependOnceListener(event: "require", listener: function): this
- prependOnceListener(event: "post-require", listener: function): this
- prependOnceListener(event: string, listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/mocha/index.d.ts:1994

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2005

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2016

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2027

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2038

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2049

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2060

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2071

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2082

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2093

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2104

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: "beforeAll", listener: function): this
- removeListener(event: "afterAll", listener: function): this
- removeListener(event: "beforeEach", listener: function): this
- removeListener(event: "afterEach", listener: function): this
- removeListener(event: "suite", listener: function): this
- removeListener(event: "test", listener: function): this
- removeListener(event: "run", listener: function): this
- removeListener(event: "pre-require", listener: function): this
- removeListener(event: "require", listener: function): this
- removeListener(event: "post-require", listener: function): this
- removeListener(event: string, listener: function): this

- Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/mocha/index.d.ts:1992

  #### Parameters

  - ##### event: "beforeAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2003

  #### Parameters

  - ##### event: "afterAll"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2014

  #### Parameters

  - ##### event: "beforeEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2025

  #### Parameters

  - ##### event: "afterEach"

  - ##### listener: function

    - - (hook: Hook): void

      - #### Parameters

        - ##### hook: Hook

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2036

  #### Parameters

  - ##### event: "suite"

  - ##### listener: function

    - - (suite: Suite): void

      - #### Parameters

        - ##### suite: Suite

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2047

  #### Parameters

  - ##### event: "test"

  - ##### listener: function

    - - (test: Test): void

      - #### Parameters

        - ##### test: Test

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2058

  #### Parameters

  - ##### event: "run"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2069

  #### Parameters

  - ##### event: "pre-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2080

  #### Parameters

  - ##### event: "require"

  - ##### listener: function

    - - (module: any, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### module: any

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2091

  #### Parameters

  - ##### event: "post-require"

  - ##### listener: function

    - - (context: MochaGlobals, file: string, mocha: Mocha): void

      - #### Parameters

        - ##### context: MochaGlobals

        - ##### file: string

        - ##### mocha: Mocha

        #### Returns void

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:2102

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### retries

- retries(): number
- retries(n: string | number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1755

  Get number of times to retry a failed test.

  see

    https://mochajs.org/api/Mocha.Suite.html#retries

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1762

  Set number of times to retry a failed test.

  see

    https://mochajs.org/api/Mocha.Suite.html#retries

  #### Parameters

  - ##### n: string | number

  #### Returns this

### run

- run(): void

- - Defined in node_modules/@types/mocha/index.d.ts:1979

  This will run the root suite if we happen to be running in delayed mode.

  see

    https://mochajs.org/api/Mocha.Suite.html#run

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

### slow

- slow(): number
- slow(ms: string | number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1783

  Get slow `ms`.

  see

    https://mochajs.org/api/Mocha.Suite.html#slow

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1790

  Set slow `ms` or short-hand such as "2s".

  see

    https://mochajs.org/api/Mocha.Suite.html#slow

  #### Parameters

  - ##### ms: string | number

  #### Returns this

### timeout

- timeout(): number
- timeout(ms: string | number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1741

  Get timeout `ms`.

  see

    https://mochajs.org/api/Mocha.Suite.html#timeout

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1748

  Set timeout `ms` or short-hand such as "2s".

  see

    https://mochajs.org/api/Mocha.Suite.html#timeout

  #### Parameters

  - ##### ms: string | number

  #### Returns this

### titlePath

- titlePath(): string[]

- - Defined in node_modules/@types/mocha/index.d.ts:1957

  Return the title path generated by recursively concatenating the parent's title path.

  see

    https://mochajs.org/api/Mocha.Suite.html#.Suite#titlePath

  #### Returns string[]

### total

- total(): number

- - Defined in node_modules/@types/mocha/index.d.ts:1964

  Return the total number of tests.

  see

    https://mochajs.org/api/Mocha.Suite.html#.Suite#total

  #### Returns number

### Static create

- create(parent: Suite, title: string): Suite
- create(parent: ISuite, title: string): Suite

- - Defined in node_modules/@types/mocha/index.d.ts:1725

  Create a new `Suite` with the given `title` and parent `Suite`. When a suite with the same title is already present, that suite is returned to provide nicer reporter and more flexible meta-testing.

  see

    https://mochajs.org/api/mocha#.exports.create

  #### Parameters

  - ##### parent: Suite

  - ##### title: string

  #### Returns Suite

- - Defined in node_modules/@types/mocha/index.d.ts:1727
  deprecated

    Use the overload that accepts `Mocha.Suite` instead.

  #### Parameters

  - ##### parent: ISuite

  - ##### title: string

  #### Returns Suite

Generated using TypeDoc